Page 4 of 4 FirstFirst ... 234
Results 31 to 39 of 39

Thread: [metasploit] - MetaSploit nao atualiza

  1. #31
    Good friend of the forums espreto's Avatar
    Join Date
    Mar 2010
    Location
    Brazil
    Posts
    303

    Default Re: [metasploit] - MetaSploit nao atualiza

    @espreto

    Quero ter opções de atualização tanto pela WebGUI ou pelo Interactive.
    Sendo assim, recomendo utilizar o SET para tal.

    Pelo que vi do link que passou acima, acho que se eu fizer o downgrade resolve o problema, o que acha?
    ACREDITO que sim, não testei pra ver!

    Ah... para melhor visualização do que está acontecendo gravei um vídeo (a resolução não é lá essas coisa, mas se vê o que acontece):
    Eu já tinha entendido o problema, mais foi legal ter postado.

    Faz exatamente estes comandos que vai resolver!

    Code:
    # apt-get purge fasttrack
    
    # cd /pentest/exploits; rm -rf fasttrack/
    
    # apt-get install fasttrack
    Agora só clicar novamente em Dragon Menu -> Backtrack -> Penetration -> Fast Track -> Fast-Track WebGUI.

    Aguarde uns segundinhos que irá abrir automaticamente o browser.

    Att,
    (gdb) disass m(y_br)ain

    ®

  2. #32
    Member
    Join Date
    May 2010
    Posts
    85

    Default Re: [metasploit] - MetaSploit nao atualiza

    Meu amigo não sei o que acontece...

    Faz exatamente estes comandos que vai resolver!
    Fiz o que me pediu, também fiz o downgrade e não vai acreditar, o problema ainda persiste, não tenho acesso nos dois modos. O que será que pode ser? Fizemos i-ésimas tentativas e nada, será que vou ter que reinstalar o R1?

    Muito obrigado

  3. #33
    Member
    Join Date
    May 2010
    Posts
    85

    Default Re: [metasploit] - MetaSploit nao atualiza

    Só para visar, vi que também tem outro usuário com o mesmo problema e já relatou aqui, aproveitei o tópico e "queimei" meu inglês

    http://www.backtrack-linux.org/forum...tml#post177146

  4. #34
    Good friend of the forums espreto's Avatar
    Join Date
    Mar 2010
    Location
    Brazil
    Posts
    303

    Default Re: [metasploit] - MetaSploit nao atualiza

    Quote Originally Posted by todumco View Post
    Só para visar, vi que também tem outro usuário com o mesmo problema e já relatou aqui, aproveitei o tópico e "queimei" meu inglês

    http://www.backtrack-linux.org/forum...tml#post177146
    Mais e aí, funcionou? Aqui está funcionando normalmente.
    Faz o seguinte, dê o boot com o liveDVD do R1 e tente acessar o GUI do fasttrack pra ver se carrega normalmente, caso afirmativo, ai com certeza é algo na sua instalação.

    Att,
    (gdb) disass m(y_br)ain

    ®

  5. #35
    Member
    Join Date
    May 2010
    Posts
    85

    Default Re: [metasploit] - MetaSploit nao atualiza

    Mais e aí, funcionou?
    Infelizmente não

    Faz o seguinte, dê o boot com o liveDVD do R1 e tente acessar o GUI do fasttrack pra ver se carrega normalmente, caso afirmativo, ai com certeza é algo na sua instalação.
    Ok... mas vou ter que esperar baixar

    Obrigado

  6. #36
    Good friend of the forums spawn's Avatar
    Join Date
    Jan 2010
    Posts
    280

    Default Re: [metasploit] - MetaSploit nao atualiza

    Quote Originally Posted by todumco View Post
    Bug fasttrack menu
    todumco,

    Pelo que notei isso não é um bug,

    outra dica , tente fazer um script para atualizar

    Ex:

    Code:
     $ cat /usr/local/bin/penupdate.sh
    #!/bin/bash
    
    svn up /pentest/exploits/{SET,exploitdb,framework3}
    svn up /pentest/web/{waffit-read-only,w3af-svn,fimap}
    svn up /pentest/database/sqlmap-dev
    Note o que o Archangel-Amael disse :

    That's horrible advice considering the older versions of fasttrack have bugs.
    A better solution would be to either A, contact the author and determine why it was removed, and or B, code it back into the latest version.
    Also moved from the fixes section.
    Last edited by spawn; 10-03-2010 at 03:12 PM.

  7. #37
    Member
    Join Date
    May 2010
    Posts
    85

    Default Re: [metasploit] - MetaSploit nao atualiza

    @spawn

    outra dica , tente fazer um script para atualizar
    Fiz, veja o que foi atualizado:

    root@bt:/usr/bin# chmod +x penupdate.sh

    root@bt:/usr/bin# ./penupdate.sh

    U /pentest/exploits/SET/src/payloadgen/payloadgen.py
    U /pentest/exploits/SET/src/version
    U /pentest/exploits/SET/src/web_clone/cloner.py
    U /pentest/exploits/SET/src/autorun/autorun.py
    U /pentest/exploits/SET/src/msf_attacks/create_payload.py
    U /pentest/exploits/SET/src/html/clientside/gen_payload.py
    U /pentest/exploits/SET/src/hid/teensy.py
    U /pentest/exploits/SET/set
    U /pentest/exploits/SET/set-update
    U /pentest/exploits/SET/readme/User_Manual.pdf
    U /pentest/exploits/SET/readme/CHANGES
    Updated to revision 344.
    Updated to revision 10.
    Skipped '/pentest/exploits/framework3'
    Skipped '/pentest/web/waffit-read-only'
    Skipped '/pentest/web/w3af-svn'
    U /pentest/web/fimap/fimap.py
    U /pentest/web/fimap/targetScanner.py
    U /pentest/web/fimap/codeinjector.py
    U /pentest/web/fimap/config/perl.xml
    Updated to revision 271.
    Summary of conflicts:
    Skipped paths: 2
    Skipped '/pentest/database/sqlmap-dev'
    Infelizmente ainda contiua

    Note o que o Archangel-Amael disse :
    Tá certo... e veja o que ele postou no tópico mencionado acima:

    This has been fixed in the latest version, and should be in the repos by tomorrow at the latest.
    Será que amanhã tudo se resolve

    Obrigado
    Given enough eyeballs, all bugs are shallow - Linus's Law

  8. #38
    Member
    Join Date
    May 2010
    Posts
    85

    Default Re: [metasploit] - MetaSploit nao atualiza

    Pessoal

    Depois de ficar acompanhando esse tópico:

    http://www.backtrack-linux.org/forum...hing-menu.html

    Pelo que o Arch escreveu fui à busca de informações e achei:

    Fast-Track v4.0.1 released « Lnxg33k's Blog

    Então, está tudo normal

    Obrigado por tudo
    Given enough eyeballs, all bugs are shallow - Linus's Law

  9. #39
    Just burned his ISO
    Join Date
    Sep 2010
    Posts
    6

    Post Re: [metasploit] - MetaSploit nao atualiza

    to tentando atualizar meu metasploit e da o seguinte erro porem nao consigo arrumar...

    alguem poderia me ajudar... utilizo ele em uma plataforma windows no momento...

    Code:
    [*][*] Attempting to update the Metasploit Framework...[*]
    
    svn: Checksum mismatch while updating 'data\meterpreter\ext_server_stdapi.php';
    expected: 'e4eb7ca83259bf272f447565df23bb3d', actual: 'a7217d77139949ea0d56a8625166de7a'
    [*] Please hit enter to exit

Page 4 of 4 FirstFirst ... 234

Similar Threads

  1. metasploit o non metasploit, questo è il problema!
    By eqweo in forum Discussioni Generali
    Replies: 2
    Last Post: 01-14-2010, 12:16 AM
  2. Metasploit help!
    By to learn in forum OLD Newbie Area
    Replies: 2
    Last Post: 11-15-2009, 04:53 AM
  3. Metasploit
    By kdiggity317 in forum OLD Newbie Area
    Replies: 5
    Last Post: 09-05-2008, 08:52 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •